# Uses of Class
com.privatejgoodies.forms.layout.RowSpec

Packages that use RowSpec
Package
Description
com.privatejgoodies.forms.layout

## Uses of RowSpec in com.privatejgoodies.forms.layout

Fields in com.privatejgoodies.forms.layout declared as RowSpec
Modifier and Type
Field
Description
`static final RowSpec`
FormSpecs.`BUTTON_ROWSPEC`
Describes a logical row for a fixed size button.
`static final RowSpec`
FormSpecs.`DEFAULT_ROWSPEC`
An unmodifiable `RowSpec` that determines its preferred height by computing the maximum of all column component preferred heights and its minimum height by computing all column component minimum heights.
`static final RowSpec`
FormSpecs.`GLUE_ROWSPEC`
An unmodifiable `RowSpec` that has an initial height of 0 pixels and that grows.
`static final RowSpec`
FormSpecs.`LABEL_COMPONENT_GAP_ROWSPEC`
Describes a logical horizontal gap between a label and an associated component.
`static final RowSpec`
FormSpecs.`LINE_GAP_ROWSPEC`
Describes the logical vertical default gap between two rows in the grid.
`static final RowSpec`
FormSpecs.`MIN_ROWSPEC`
An unmodifiable `RowSpec` that determines its height by computing the maximum of all column component minimum heights.
`static final RowSpec`
FormSpecs.`NARROW_LINE_GAP_ROWSPEC`
Describes a logical vertical narrow gap between two rows in the grid.
`static final RowSpec`
FormSpecs.`PARAGRAPH_GAP_ROWSPEC`
Describes the logical vertical default gap between two paragraphs in the layout grid.
`static final RowSpec`
FormSpecs.`PREF_ROWSPEC`
An unmodifiable `RowSpec` that determines its height by computing the maximum of all column component preferred heights.
`static final RowSpec`
FormSpecs.`RELATED_GAP_ROWSPEC`
Describes a logical vertical gap between two related components.
`static final RowSpec`
FormSpecs.`UNRELATED_GAP_ROWSPEC`
Describes a logical vertical gap between two unrelated components.
Methods in com.privatejgoodies.forms.layout that return RowSpec
Modifier and Type
Method
Description
`static RowSpec`
RowSpec.`createGap(ConstantSize gapHeight)`
Creates and returns a `RowSpec` that represents a gap with the specified `ConstantSize`.
`static RowSpec`
RowSpec.`decode(String encodedRowSpec)`
Parses the encoded row specification and returns a RowSpec object that represents the string.
`static RowSpec`
RowSpec.`decode(String encodedRowSpec, LayoutMap layoutMap)`
Parses the encoded row specifications and returns a RowSpec object that represents the string.
`static RowSpec[]`
RowSpec.`decodeSpecs(String encodedRowSpecs)`
Parses and splits encoded row specifications using the default `LayoutMap` and returns an array of RowSpec objects.
`static RowSpec[]`
RowSpec.`decodeSpecs(String encodedRowSpecs, LayoutMap layoutMap)`
Parses and splits encoded row specifications using the given `LayoutMap` and returns an array of RowSpec objects.
`RowSpec`
FormLayout.`getRowSpec(int rowIndex)`
Returns the `RowSpec` at the specified row index.
Methods in com.privatejgoodies.forms.layout with parameters of type RowSpec
Modifier and Type
Method
Description
`void`
FormLayout.`appendRow(RowSpec rowSpec)`
Appends the given row specification to the bottom of all rows.
`void`
FormLayout.`insertRow(int rowIndex, RowSpec rowSpec)`
Inserts the specified column at the specified position.
`String`
LayoutMap.`rowPut(String key, RowSpec value)`
Associates the specified ColumnSpec with the specified key in this map.
`void`
FormLayout.`setRowSpec(int rowIndex, RowSpec rowSpec)`
Sets the RowSpec at the specified row index.
Constructors in com.privatejgoodies.forms.layout with parameters of type RowSpec
Modifier
Constructor
Description
``
`FormLayout(ColumnSpec[] colSpecs, RowSpec[] rowSpecs)`
Constructs a FormLayout using the given column and row specifications.